Subject: Re: [nwcrg] nwcrg Digest, Vol 24, Issue 37

From: Marie-Jose Montpetit <[email-masked]>
Date: Mon, 30 Mar 2015 11:21:08 -0400

Victor:

that is a super good idea. And getting the more IETF orienter people involved will nicely complement a more theoretical approach :-) And including the pariticpation of the other draft writer would make it really complete!

Thanks a lot!

/mjm
> On Mar 30, 2015, at 11:15 AM, [email-masked] wrote:
> 
> Send nwcrg mailing list submissions to
> 	[email-masked] <mailto:[email-masked]>
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
> or, via email, send a message with subject or body 'help' to
> 	[email-masked] <mailto:[email-masked]>
> 
> You can reach the person managing the list at
> 	[email-masked] <mailto:[email-masked]>
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of nwcrg digest..."
> Today's Topics:
> 
>   1. Re: NC tutorial (Firoiu, Victor (US SSA))
>   2. Re: NC tutorial (Marie-Jose Montpetit)
> 
> From: "Firoiu, Victor (US SSA)" <[email-masked] <mailto:[email-masked]>>
> Cc: Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>>, Brian Adamson <[email-masked] <mailto:[email-masked]>>
> To: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> Date: March 30, 2015 at 11:11:23 AM EDT
> Subject: Re: [nwcrg] NC tutorial
> 
> 
> I am in favor of a tutorial, for the benefit of those who may want to use NC but are not familiar, including other IETF/IRTF groups. We had requests for a tutorial in our previous meetings, but there was some uncertainty of usefulness expressed. We started a draft outline with Joao Barros and Muriel Medard.  I’ll revive that and send to the list. Again, I’m all for it.
>  
> Victor
>  
>  
> From: nwcrg [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Brian Adamson
> Sent: Monday, March 30, 2015 11:02 AM
> To: Marie-Jose Montpetit
> Cc: [email-masked] <mailto:[email-masked]>
> Subject: Re: [nwcrg] NC tutorial
>  
> It’s probably worthwhile to do something like this. Were you thinking a presentation type format?  Or something else? On the former, I provided and “RMT Retrospective” brief at one of the earlier NWCRG meetings that may have some useful content to put in the context you suggest here.
>  
> - Brian
>  
> On Mar 30, 2015, at 10:51 AM, Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>> wrote:
>  
> After Friday I was asked many times for a “tutorial” as a number of participants wanted to know more about NC. 
>  
> It made me look at what is available publicly. And there is very little.
>  
> I have been using the Christina Fragouli paper of 2006 that while giving a good overview and being at the “right level” is now a bit dated:
> algo.epfl.ch/~christin/primer.ps <http://algo.epfl.ch/~christin/primer.ps>
> And we wrote a paper on "Network Coding Myths” that can also give background:
> http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf <http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf>
>  
> There are of course other scientific papers that all have some background but those are usually more fundamental research. 
> And sadly the more recent tutorial materials are only offered in scientific conferences, corporate briefings or professional training.
>  
> And in any case I think we need to also position NC in the evolution of the IEFT from pilc, RMT and FECFRAME and the creation of TCP “flavors”, congestion control and buffer management as well as routing. Not a small task!
>  
> Would that be something the group could collaborate to collectively? But of course it’s another distraction from the goals of the research group.
>  
>  
> Marie-Jose Montpetit, Ph.D.
> [email-masked] <mailto:[email-masked]>
> @SocialTVMIT
>  
> _______________________________________________
> nwcrg mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>  
> 
> 
> 
> From: Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> To: Brian Adamson <[email-masked] <mailto:[email-masked]>>
> Date: March 30, 2015 at 11:15:36 AM EDT
> Subject: Re: [nwcrg] NC tutorial
> 
> 
> I actually seek the advice of the group since I know there is information somewhere. Maybe do a joint tutorial on the Sunday in Prague? With all stakeholders involved? Someone like you or Vincent Roca who have been there before would be perfect to be the main presenters with presentations from subject experts?
> 
> 
> Marie-Jose Montpetit, Ph.D.
> [email-masked] <mailto:[email-masked]>
> @SocialTVMIT
> 
>> On Mar 30, 2015, at 11:02 AM, Brian Adamson <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> It’s probably worthwhile to do something like this. Were you thinking a presentation type format?  Or something else? On the former, I provided and “RMT Retrospective” brief at one of the earlier NWCRG meetings that may have some useful content to put in the context you suggest here.
>> 
>> - Brian
>> 
>>> On Mar 30, 2015, at 10:51 AM, Marie-Jose Montpetit <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> After Friday I was asked many times for a “tutorial” as a number of participants wanted to know more about NC. 
>>> 
>>> It made me look at what is available publicly. And there is very little.
>>> 
>>> I have been using the Christina Fragouli paper of 2006 that while giving a good overview and being at the “right level” is now a bit dated:
>>> algo.epfl.ch/~christin/primer.ps <http://algo.epfl.ch/~christin/primer.ps>
>>> And we wrote a paper on "Network Coding Myths” that can also give background:
>>> http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf <http://www.rle.mit.edu/ncrc/wp-content/uploads/2014/09/2014_butterflies.pdf>
>>> 
>>> There are of course other scientific papers that all have some background but those are usually more fundamental research. 
>>> And sadly the more recent tutorial materials are only offered in scientific conferences, corporate briefings or professional training.
>>> 
>>> And in any case I think we need to also position NC in the evolution of the IEFT from pilc, RMT and FECFRAME and the creation of TCP “flavors”, congestion control and buffer management as well as routing. Not a small task!
>>> 
>>> Would that be something the group could collaborate to collectively? But of course it’s another distraction from the goals of the research group.
>>> 
>>> 
>>> Marie-Jose Montpetit, Ph.D.
>>> [email-masked] <mailto:[email-masked]>
>>> @SocialTVMIT
>>> 
>>> _______________________________________________
>>> nwcrg mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>> 
> 
> 
> 
> _______________________________________________
> nwcrg mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>